-------------------------------------------------------------------------------

--  spreadsin.lua

-------------------------------------------------------------------------------

condition = 
{
    save_position_sequential = true,
    save_stress_sequential = true,
    save_energy_sequential = false,
    save_geometry_sequential = false,
    save_dx_sequential = true,
    seed = 11583192,

    apply_shear = false,

    iteration_max = 5000,
    interval = 50,
    dt = 0.02,
    omega = 0.0,
    kappa = 0.0
}

file =
{
    position_output = "position.dat.gz",
    stress_output = "stress.dat",
    energy_output = "energy.dat",
    geometry_output = "geometry.dat",
    dx_output = "spreadsout.dx",

    position_template = "position.%d.dat.gz",
    stress_template = "stress.%d.dat",
    energy_template = "energy.%d.dat",
    geometry_template = "geometry.%d.dat",
    dx_template = "spreadsout.%d.dx"
}

geometry =
{    
    dimension = 3,

    l = {16, 16, 16}
}

blend =
{
    polymer = {"AB_diblock"},
    number = {2048}
}

monomer =
{
    name = {"A", "B"},
    epsilon = {{30, 40},
               {0,  30}}
}

AB_diblock =
{
    monomer = {"A", "B"}
}

