/* modified by Takashi Uneyama
   Copyright (C) 2005 Takashi Uneyama */

/* Implement the mempcpy function.
   Copyright (C) 2003 Free Software Foundation, Inc.
   Written by Kaveh R. Ghazi <ghazi@caip.rutgers.edu>.

This file is part of the libiberty library.
Libiberty is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

Libiberty is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with libiberty; see the file COPYING.LIB.  If
not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef HAVE_STDDEF_H
#include <stddef.h>
#else
typedef unsigned long size_t
#endif

#ifdef HAVE_STRING_H
#include <string.h>
#endif

#ifndef HAVE_MEMCPY
void *memcpy(void *dest, const void *src, size_t n);
#endif

void *mempcpy(void *dest, const void *src, size_t len)
{
  return (char *)memcpy(dest, src, len) + len;
}
