/*---------------------------------------------------------------------------*/

/*!  \file  zget.h
     \brief  some utilities for reading gzipped file.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2005-2007 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_ZGET_H
#define INCLUDE_ZGET_H

#ifdef HAVE_ZLIB_H
#include <zlib.h>
#endif

#define ZGET_BUFFER_MAXSIZE 0x100

/*---------------------------------------------------------------------------*/
/*!  \brief  read string (separated by space or newline) from \a fp to \a buf.
     \param  fp  gzfile pointer
     \param  buf  buffer for string
     \param  maxsize  maximum size of buffer  */
int gzgetstring(gzFile *fp,char *buf,int maxsize);

/*!  \brief  read double precision floating number from \a fp to \a d.
     \param  fp  gzfile pointer
     \param  d  data  */
int gzgetdouble(gzFile *fp,double *d);

/*!  \brief  read integer from \a fp to \a d.
     \param  fp  gzfile pointer
     \param  i  data  */
int gzgetint(gzFile *fp,int *i);

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
