/*---------------------------------------------------------------------------*/

/*!  \file  bond.h
     \brief  calculate the bond vectors and lengths.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2008 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_BOND_H
#define INCLUDE_BOND_H

/*---------------------------------------------------------------------------*/
/*!  \brief  calculate the bond vector \a u from position \a r .
     \param  r  positions of soft particles
     \param  u  bond vectors
     \param  dimension  dimension of the system
     \param  n  number of particle species
     \param  m  numbers of soft particles
     \param  l  edge lengthes for the simulation box
     \param  delta_l  gap between cells by shear deformation  */
int calulate_bond(double **r,double **u,int dimension,int n,int *m,
                  double *l,double delta_l);

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
